# Task 8

## Exercise 1
For entered a <= 7 - Error: Not Enough
For entered a > 7 - nothing

## Exercise 2
Error
Undefined bar() 

## Exercise 3
Output: 2

## Exercise 4
Output: 
Syntax Error
Need to be at least one except block for else to work; else block should be before finally

## Exercise 5
Output: Error has occurred

## Exercise 6
Loop never stops - not False is always True. As open() is in try block it will never terminate the program.


